Public Member Functions | Public Attributes | List of all members
MsWksGraphInternal::RBZone Struct Reference

Internal: a list of zones ( for v4) More...

## Public Member Functions
| RBZone ()
int | getId () const
| returns a unique id More...

## Public Attributes
bool | m_isMain
| the zone type: rbdr(true) or rbil More...
int | m_id
| the zone id More...
std::vector< int > | m_idList
| the list of rb More...
std::string | m_frame
| the frame name ( if it exist ) More...

## Detailed Description

Internal: a list of zones ( for v4)

## Constructor & Destructor Documentation

## ◆ RBZone()

MsWksGraphInternal::RBZone::RBZone | ( |  | ) |
| inline

## Member Function Documentation

## ◆ getId()

int MsWksGraphInternal::RBZone::getId | ( |  | ) | const
| inline

returns a unique id

Referenced by MsWksGraph::readRB().

## Member Data Documentation

## ◆ m_frame

std::string MsWksGraphInternal::RBZone::m_frame

the frame name ( if it exist )

Referenced by MsWksGraph::checkTextBoxLinks(), MsWksGraphInternal::SubDocument::operator!=(), MsWksGraphInternal::SubDocument::parse(), and MsWksGraph::readRB().

## ◆ m_id

int MsWksGraphInternal::RBZone::m_id

the zone id

Referenced by getId(), MsWksGraphInternal::SubDocument::operator!=(), MsWksGraphInternal::SubDocument::parse(), and MsWksGraph::readRB().

## ◆ m_idList

std::vector<int> MsWksGraphInternal::RBZone::m_idList

the list of rb

Referenced by MsWksGraph::checkTextBoxLinks(), MsWksGraph::readRB(), and MsWksGraph::sendObjects().

## ◆ m_isMain

bool MsWksGraphInternal::RBZone::m_isMain

the zone type: rbdr(true) or rbil

Referenced by getId(), and MsWksGraph::readRB().

The documentation for this struct was generated from the following file:

- MsWksGraph.cxx